﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Ozim.Kupka;

#nullable disable

namespace Ozim.Kupka.Migrations
{
    [DbContext(typeof(KupkaDbContext))]
    partial class KupkaDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.4")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("Ozim.Kupka.Kupki", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Comment")
                        .HasColumnType("longtext");

                    b.Property<DateTime>("CreateDate")
                        .HasColumnType("datetime(6)");

                    b.Property<bool>("Kupa")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("Siku")
                        .HasColumnType("tinyint(1)");

                    b.HasKey("Id");

                    b.ToTable("Kupki");
                });
#pragma warning restore 612, 618
        }
    }
}
